### Method

# Gtk LayoutManager get_layout_child

#### Declaration [src]

    GtkLayoutChild*
    gtk_layout_manager_get_layout_child (
      GtkLayoutManager* manager,
      GtkWidget* child
    )

#### Description [src]

Retrieves a `GtkLayoutChild` instance for the `GtkLayoutManager`, creating one if necessary.

The `child` widget must be a child of the widget using `manager`.

The `GtkLayoutChild` instance is owned by the `GtkLayoutManager`, and is guaranteed to exist as long as `child` is a child of the `GtkWidget` using the given `GtkLayoutManager`.

#### Parameters

`child` | `GtkWidget`
| A `GtkWidget`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkLayoutChild`
| A `GtkLayoutChild`.
| The data is owned by the instance.